{
  flake,
  pkgs,
  ...
}: let
  configPath = ./config;
  settingsPath = import (configPath + /settings.nix) {
    inherit
      flake
      pkgs
      ;
  };
  themesPath = import (configPath + /themes.nix) {
    inherit
      flake
      ;
  };
in {
  programs.ghostty = {
    enable = true;
    settings = settingsPath;
    themes = themesPath;
  };
}
